Create a storage user
POST
apiToken storage:subusers:writeheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: storage:subusers:write
orderId*numberapplication/json- body
label*stringpath*stringreadOnly*booleanOperation completed or accepted; asynchronous actions may still be running.
application/json- response
item*password*stringcurl -X POST 'https://api.deluxhost.net/v1/services/0/storage/subusers' \ -H "Authorization: Bearer $DELUXHOST_TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "label": "string", "path": "string", "readOnly": true}'Example Response
{ "item": { "username": "string", "label": "string", "path": "string", "readOnly": true, "enabled": true }, "password": "string"}